- 2023-08-18
  - Defined scope.
  - Published internal release announcement.
  - Created release notes draft.
- 2023-10-23
  - Received notification that testing has finished.
  - Created MR for downloads repo.
  - Published to CWS.
  - Published to Microsoft store.
  - Updated extension source code URL and build instructions in Opera store.
  - Published to Opera store.
- 2023-10-25
  - Noticed that release is live on CWS.
  - Noticed that release is live on Opera store.
- 2023-10-27
  - Noticed that release is live on Microsoft store.
